import "./tasks/Deepvariant.wdl" as Deepvariant


workflow {{ project_name }} {
    File ref_dir
	String fasta

	File Dedup_bam
	File Dedup_bam_index
	String model_type
	String sample
	String DPdocker
	String cluster_config
	String disk_size

	call Deepvariant.Deepvariant as Deepvariant {
		input:
		fasta=fasta,
		ref_dir=ref_dir,
		Dedup_bam=Dedup_bam,
		model_type=model_type,
		Dedup_bam_index=Dedup_bam_index,
		sample=sample,
		DPdocker=DPdocker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
	}

